> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user runes



## OpenAPI

````yaml get /user/{principal}/runes
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /user/{principal}/runes:
    get:
      tags:
        - Users
      operationId: UserController_hiroGet
      parameters:
        - name: principal
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedHiroRune'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/HiroRuneEntity'
components:
  schemas:
    PaginatedHiroRune:
      type: object
      properties:
        data:
          type: array
          items:
            type: string
        total:
          type: number
        page:
          type: number
        limit:
          type: number
      required:
        - data
        - total
        - page
        - limit
    HiroRuneEntity:
      type: object
      properties:
        rune:
          $ref: '#/components/schemas/HiroRune'
        balance:
          type: string
        address:
          type: string
      required:
        - rune
        - balance
        - address
    HiroRune:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        spaced_name:
          type: string
      required:
        - id
        - name
        - spaced_name

````